Support » Allgemeine Fragen » Bilder upload funktioniert nicht

  • jackmcfear

    (@jackmcfear)


    Hallo,
    mein Problem ist immer wenn ich ein Bild in meinen Beitrag einfügen möchte gibt es folgenden Fehlermeldung:

    Die Antwort ist keine gültige JSON-Antwort.

    Danke für die Hilfe

Ansicht von 12 Antworten - 1 bis 12 (von insgesamt 12)
  • bscu

    (@bscu)

    Welche WordPress-Version hast du?

    jackmcfear

    (@jackmcfear)

    5.0.2

    Hallo jackmcfear

    Ich habe ebenfalls ein paar Fragen, da dein Fehler viele Ursachen haben kann:
    a) Welche PHP-Version nutzt du?
    b) Welche Plugins nutzt du?
    c) Welche Werte hast du für die PHP-Parameter upload_max_filesize, post_max_size und memory_limit konfiguriert?

    Beste Grüsse
    Michael

    jackmcfear

    (@jackmcfear)

    zu a: PHP-Version 5.6.39-1+0~20181212060557.8+stretch~1.gbp4260ff
    zu b: Auto Post Thumbnail
    Contact Form 7
    Crop Thumbnails
    FV Feedburner Replacement
    GDPR Cookie Consent
    Google Analytics for WordPress by MonsterInsights MonsterInsights
    Health Check & Troubleshooting
    Mammoth .docx converter
    Simple Social Icons
    Slim Jetpack
    TablePress
    WPtouch Mobile Plugin
    Yoast SEO

    zu c: keine ahnung?? wo kann ich das einstellen.

    PS: der fehler ist erst seit der neuen Version aufgetaucht, bei de alten ging noch alles

    Hi jackmcfear

    Das hilft schon mal, danke.

    Die PHP-Version würde ich (nach einem Backup) auf mindestens PHP 7.1 aktualisieren. Das kannst du über deinen Hoster machen. Dort findest du ebenfalls die PHP-Einstellungen wie upload_max_filesize etc.

    Dass der Fehler erst seit WP 5.0 auftaucht, hat aus meiner Sicht eigentlich nichts direkt mit WordPress zu tun, zumindest würde mich das sehr verwundern.
    Kann es sein, dass eines deiner Plugin den Upload verhindert, wie zum Beispiel Crop Thumbnails oder Auto Post Thumbnail (wurde seit zwei Jahren nicht mehr aktualisiert)? Ich würde mal versuchen, dieses Plugin zu deaktivieren und es dann erneut mit dem Bilder-Upload zu versuchen.

    Beste Grüsse
    Michael

    jackmcfear

    (@jackmcfear)

    Läuft wieder.
    Super vielen Dank.

    Mit den Plugins hatte das nix zu tun, aber nach dem ich die PHP Version aktualisiert hatte gings auf einmal wieder.

    Grüße

    Perfekt – freut mich!

    hardy123b

    (@hardy123b)

    Hallo,
    kann mir jemand helfen? Was könnte hier der Fehler sein? Nach der Umstellung auf PHP 7.1 hatte ich jede Menge Fehler die ich bereits behoben habe. Nur hier komme ich nicht weiter.
    Warning: Illegal string offset ‚class‘ in /customers/9/b/5/hardy24.com/httpd.www/realtor/wp-content/themes/RT/framework/class/class_shortcodes.php on line 1796 Warning: Cannot assign an empty string to a string offset in /customers/9/b/5/hardy24.com/httpd.www/realtor/wp-content/themes/RT/framework/class/class_shortcodes.php on line 1796 Warning: Illegal string offset ‚class‘ in /customers/9/b/5/hardy24.com/httpd.www/realtor/wp-content/themes/RT/framework/class/class_shortcodes.php on line 1823 Warning: Illegal string offset ‚tab‘ in /customers/9/b/5/hardy24.com/httpd.www/realtor/wp-content/themes/RT/framework/class/class_shortcodes.php on line 1928 Warning: Illegal string offset ‚tab‘ in /customers/9/b/5/hardy24.com/httpd.www/realtor/wp-content/themes/RT/framework/class/class_shortcodes.php on line 1950

    bscu

    (@bscu)

    @hardy123b
    Da scheint dein Theme nicht kompatibel mit PHP 7.x zu sein.

    hardy123b

    (@hardy123b)

    Hallo bscu,
    das habe ich auch bereits gemerkt aber finde dafür keine Lösung. Kann man da nichts machen?

    bscu

    (@bscu)

    Man könnte sich die PHP-Codes ansehen und korrigieren, wenn es kein Update vom Theme gibt.

    Hey,

    ich klinke mich hier ein, nach einer Suche zu »“Die Antwort ist keine gültige JSON-Antwort“ wordpress« …

    Bekomme ich insb. beim Bildupload auch, sowie beim Speichern eines Postings.
    Doch liegt wohl auch bei mir an einer tatsächlich nicht mehr aktuellen PHP-Version. Muss mal denjenigen befragen, der unsere Site hostet.

    Kann jedoch noch dauern, eine neue PHP-Version.
    Darum mal herauszufinden versucht, was denn die minimale PHP-Version sein muss. Doch ziemlich schwierig, eine solche Basisinfo herauszubekommen 🙁

    Nach längerer nerviger Suche unter https://make.wordpress.org/core/2018/12/08/updating-the-minimum-php-version/ gefunden:

    In light of that, I’d like to propose that in April 2019, we bump the minimum PHP version requirement to be 5.6.

    Könnte mir dies jemand bestätigen?

    Und entschuldigt, dass ich hier so reingeplatzt bin 😉

    mtemp

Ansicht von 12 Antworten - 1 bis 12 (von insgesamt 12)
  • Das Thema „Bilder upload funktioniert nicht“ ist für neue Antworten geschlossen.